be.fgov.ehealth.rn.baselegaldata.v1

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.rn.baselegaldata.v1 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.rn.baselegaldata.v1

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActType` | `createActType()` Create an instance of `ActType`
    `AddressBaseType` | `createAddressBaseType()` Create an instance of `AddressBaseType`
    `AddressCbssBaseType` | `createAddressCbssBaseType()` Create an instance of `AddressCbssBaseType`
    `AddressCbssWithStatusAndSourceType` | `createAddressCbssWithStatusAndSourceType()` Create an instance of `AddressCbssWithStatusAndSourceType`
    `AddressCbssWithUpdateStatusType` | `createAddressCbssWithUpdateStatusType()` Create an instance of `AddressCbssWithUpdateStatusType`
    `AddressDeclarationType` | `createAddressDeclarationType()` Create an instance of `AddressDeclarationType`
    `AddressWithStatusAndSourceType` | `createAddressWithStatusAndSourceType()` Create an instance of `AddressWithStatusAndSourceType`
    `AdministratorBaseType` | `createAdministratorBaseType()` Create an instance of `AdministratorBaseType`
    `AdministratorWithStatusAndSourceType` | `createAdministratorWithStatusAndSourceType()` Create an instance of `AdministratorWithStatusAndSourceType`
    `BestIdentifierType` | `createBestIdentifierType()` Create an instance of `BestIdentifierType`
    `BirthInfoBaseType` | `createBirthInfoBaseType()` Create an instance of `BirthInfoBaseType`
    `BirthInfoDeclarationType` | `createBirthInfoDeclarationType()` Create an instance of `BirthInfoDeclarationType`
    `BirthInfoWithStatusAndSourceType` | `createBirthInfoWithStatusAndSourceType()` Create an instance of `BirthInfoWithStatusAndSourceType`
    `BirthInfoWithUpdateStatusType` | `createBirthInfoWithUpdateStatusType()` Create an instance of `BirthInfoWithUpdateStatusType`
    `CbssPersonIdentificationsResponseType` | `createCbssPersonIdentificationsResponseType()` Create an instance of `CbssPersonIdentificationsResponseType`
    `CbssPersonIdentificationType` | `createCbssPersonIdentificationType()` Create an instance of `CbssPersonIdentificationType`
    `CivilStateInfoBaseType` | `createCivilStateInfoBaseType()` Create an instance of `CivilStateInfoBaseType`
    `CivilStateInfoDeclarationType` | `createCivilStateInfoDeclarationType()` Create an instance of `CivilStateInfoDeclarationType`
    `CivilStateInfoWithSourceType` | `createCivilStateInfoWithSourceType()` Create an instance of `CivilStateInfoWithSourceType`
    `CivilStatesBaseType` | `createCivilStatesBaseType()` Create an instance of `CivilStatesBaseType`
    `CivilStatesDeclarationType` | `createCivilStatesDeclarationType()` Create an instance of `CivilStatesDeclarationType`
    `CivilStatesWithStatusType` | `createCivilStatesWithStatusType()` Create an instance of `CivilStatesWithStatusType`
    `CivilStatesWithUpdateStatusType` | `createCivilStatesWithUpdateStatusType()` Create an instance of `CivilStatesWithUpdateStatusType`
    `ContactAddressBaseType` | `createContactAddressBaseType()` Create an instance of `ContactAddressBaseType`
    `ContactAddressDeclarationType` | `createContactAddressDeclarationType()` Create an instance of `ContactAddressDeclarationType`
    `ContactAddressWithStatusAndSourceType` | `createContactAddressWithStatusAndSourceType()` Create an instance of `ContactAddressWithStatusAndSourceType`
    `ContactAddressWithUpdateStatusType` | `createContactAddressWithUpdateStatusType()` Create an instance of `ContactAddressWithUpdateStatusType`
    `DeceaseInfoBaseType` | `createDeceaseInfoBaseType()` Create an instance of `DeceaseInfoBaseType`
    `DeceaseInfoDeclarationType` | `createDeceaseInfoDeclarationType()` Create an instance of `DeceaseInfoDeclarationType`
    `DeceaseInfoWithStatusAndSourceType` | `createDeceaseInfoWithStatusAndSourceType()` Create an instance of `DeceaseInfoWithStatusAndSourceType`
    `DeceaseInfoWithUpdateStatusType` | `createDeceaseInfoWithUpdateStatusType()` Create an instance of `DeceaseInfoWithUpdateStatusType`
    `DiplomaticPostType` | `createDiplomaticPostType()` Create an instance of `DiplomaticPostType`
    `FamilyMemberIdentificationType` | `createFamilyMemberIdentificationType()` Create an instance of `FamilyMemberIdentificationType`
    `ForeignAddressDeclarationType` | `createForeignAddressDeclarationType()` Create an instance of `ForeignAddressDeclarationType`
    `GenderInfoBaseType` | `createGenderInfoBaseType()` Create an instance of `GenderInfoBaseType`
    `GenderInfoDeclarationType` | `createGenderInfoDeclarationType()` Create an instance of `GenderInfoDeclarationType`
    `GenderInfoWithStatusAndSourceType` | `createGenderInfoWithStatusAndSourceType()` Create an instance of `GenderInfoWithStatusAndSourceType`
    `GenderInfoWithUpdateStatusType` | `createGenderInfoWithUpdateStatusType()` Create an instance of `GenderInfoWithUpdateStatusType`
    `GivenNameType` | `createGivenNameType()` Create an instance of `GivenNameType`
    `JudgmentType` | `createJudgmentType()` Create an instance of `JudgmentType`
    `LegalCohabitationBaseType` | `createLegalCohabitationBaseType()` Create an instance of `LegalCohabitationBaseType`
    `LegalCohabitationRegistrationType` | `createLegalCohabitationRegistrationType()` Create an instance of `LegalCohabitationRegistrationType`
    `LegalCohabitationWithStatusAndSourceType` | `createLegalCohabitationWithStatusAndSourceType()` Create an instance of `LegalCohabitationWithStatusAndSourceType`
    `LocationDeclarationType` | `createLocationDeclarationType()` Create an instance of `LocationDeclarationType`
    `LocationType` | `createLocationType()` Create an instance of `LocationType`
    `MinimalAddressType` | `createMinimalAddressType()` Create an instance of `MinimalAddressType`
    `MinimalAdministratorType` | `createMinimalAdministratorType()` Create an instance of `MinimalAdministratorType`
    `MinimalBirthInfoType` | `createMinimalBirthInfoType()` Create an instance of `MinimalBirthInfoType`
    `MinimalGenderInfoType` | `createMinimalGenderInfoType()` Create an instance of `MinimalGenderInfoType`
    `MinimalNameInfoType` | `createMinimalNameInfoType()` Create an instance of `MinimalNameInfoType`
    `NameInfoBaseType` | `createNameInfoBaseType()` Create an instance of `NameInfoBaseType`
    `NameInfoDeclarationType` | `createNameInfoDeclarationType()` Create an instance of `NameInfoDeclarationType`
    `NameInfoWithStatusAndSourceType` | `createNameInfoWithStatusAndSourceType()` Create an instance of `NameInfoWithStatusAndSourceType`
    `NameInfoWithUpdateStatusType` | `createNameInfoWithUpdateStatusType()` Create an instance of `NameInfoWithUpdateStatusType`
    `NationalitiesBaseType` | `createNationalitiesBaseType()` Create an instance of `NationalitiesBaseType`
    `NationalitiesDeclarationType` | `createNationalitiesDeclarationType()` Create an instance of `NationalitiesDeclarationType`
    `NationalitiesWithStatusType` | `createNationalitiesWithStatusType()` Create an instance of `NationalitiesWithStatusType`
    `NationalitiesWithUpdateStatusType` | `createNationalitiesWithUpdateStatusType()` Create an instance of `NationalitiesWithUpdateStatusType`
    `NationalityInfoBaseType` | `createNationalityInfoBaseType()` Create an instance of `NationalityInfoBaseType`
    `NationalityInfoDeclarationType` | `createNationalityInfoDeclarationType()` Create an instance of `NationalityInfoDeclarationType`
    `NationalityInfoWithSourceType` | `createNationalityInfoWithSourceType()` Create an instance of `NationalityInfoWithSourceType`
    `NobilityTitleBaseType` | `createNobilityTitleBaseType()` Create an instance of `NobilityTitleBaseType`
    `PartnerType` | `createPartnerType()` Create an instance of `PartnerType`
    `PersonIdentificationsResponseType` | `createPersonIdentificationsResponseType()` Create an instance of `PersonIdentificationsResponseType`
    `PersonIdentificationType` | `createPersonIdentificationType()` Create an instance of `PersonIdentificationType`
    `PlainAddressOptionalInceptionDateType` | `createPlainAddressOptionalInceptionDateType()` Create an instance of `PlainAddressOptionalInceptionDateType`
    `PlainAddressType` | `createPlainAddressType()` Create an instance of `PlainAddressType`
    `RegistrationBailiffType` | `createRegistrationBailiffType()` Create an instance of `RegistrationBailiffType`
    `ResidentialAddressOptionalInceptionDateType` | `createResidentialAddressOptionalInceptionDateType()` Create an instance of `ResidentialAddressOptionalInceptionDateType`
    `ResidentialAddressType` | `createResidentialAddressType()` Create an instance of `ResidentialAddressType`
    `SpecialNotionType` | `createSpecialNotionType()` Create an instance of `SpecialNotionType`
    `SubregisterBaseType` | `createSubregisterBaseType()` Create an instance of `SubregisterBaseType`
    `SubregisterWithStatusAndSourceType` | `createSubregisterWithStatusAndSourceType()` Create an instance of `SubregisterWithStatusAndSourceType`
    `TranscriptionType` | `createTranscriptionType()` Create an instance of `TranscriptionType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.rn.baselegaldata.v1

  - ### Method Detail

    - #### createPersonIdentificationsResponseType

          public PersonIdentificationsResponseType createPersonIdentificationsResponseType()

      Create an instance of `PersonIdentificationsResponseType`

    - #### createPersonIdentificationType

          public PersonIdentificationType createPersonIdentificationType()

      Create an instance of `PersonIdentificationType`

    - #### createCbssPersonIdentificationsResponseType

          public CbssPersonIdentificationsResponseType createCbssPersonIdentificationsResponseType()

      Create an instance of `CbssPersonIdentificationsResponseType`

    - #### createCbssPersonIdentificationType

          public CbssPersonIdentificationType createCbssPersonIdentificationType()

      Create an instance of `CbssPersonIdentificationType`

    - #### createFamilyMemberIdentificationType

          public FamilyMemberIdentificationType createFamilyMemberIdentificationType()

      Create an instance of `FamilyMemberIdentificationType`

    - #### createMinimalNameInfoType

          public MinimalNameInfoType createMinimalNameInfoType()

      Create an instance of `MinimalNameInfoType`

    - #### createMinimalBirthInfoType

          public MinimalBirthInfoType createMinimalBirthInfoType()

      Create an instance of `MinimalBirthInfoType`

    - #### createMinimalGenderInfoType

          public MinimalGenderInfoType createMinimalGenderInfoType()

      Create an instance of `MinimalGenderInfoType`

    - #### createMinimalAddressType

          public MinimalAddressType createMinimalAddressType()

      Create an instance of `MinimalAddressType`

    - #### createMinimalAdministratorType

          public MinimalAdministratorType createMinimalAdministratorType()

      Create an instance of `MinimalAdministratorType`

    - #### createNobilityTitleBaseType

          public NobilityTitleBaseType createNobilityTitleBaseType()

      Create an instance of `NobilityTitleBaseType`

    - #### createNameInfoBaseType

          public NameInfoBaseType createNameInfoBaseType()

      Create an instance of `NameInfoBaseType`

    - #### createBirthInfoBaseType

          public BirthInfoBaseType createBirthInfoBaseType()

      Create an instance of `BirthInfoBaseType`

    - #### createDeceaseInfoBaseType

          public DeceaseInfoBaseType createDeceaseInfoBaseType()

      Create an instance of `DeceaseInfoBaseType`

    - #### createGenderInfoBaseType

          public GenderInfoBaseType createGenderInfoBaseType()

      Create an instance of `GenderInfoBaseType`

    - #### createCivilStatesBaseType

          public CivilStatesBaseType createCivilStatesBaseType()

      Create an instance of `CivilStatesBaseType`

    - #### createCivilStateInfoBaseType

          public CivilStateInfoBaseType createCivilStateInfoBaseType()

      Create an instance of `CivilStateInfoBaseType`

    - #### createNationalitiesBaseType

          public NationalitiesBaseType createNationalitiesBaseType()

      Create an instance of `NationalitiesBaseType`

    - #### createNationalityInfoBaseType

          public NationalityInfoBaseType createNationalityInfoBaseType()

      Create an instance of `NationalityInfoBaseType`

    - #### createAddressBaseType

          public AddressBaseType createAddressBaseType()

      Create an instance of `AddressBaseType`

    - #### createAddressCbssBaseType

          public AddressCbssBaseType createAddressCbssBaseType()

      Create an instance of `AddressCbssBaseType`

    - #### createAdministratorBaseType

          public AdministratorBaseType createAdministratorBaseType()

      Create an instance of `AdministratorBaseType`

    - #### createSubregisterBaseType

          public SubregisterBaseType createSubregisterBaseType()

      Create an instance of `SubregisterBaseType`

    - #### createLegalCohabitationBaseType

          public LegalCohabitationBaseType createLegalCohabitationBaseType()

      Create an instance of `LegalCohabitationBaseType`

    - #### createContactAddressBaseType

          public ContactAddressBaseType createContactAddressBaseType()

      Create an instance of `ContactAddressBaseType`

    - #### createNameInfoWithUpdateStatusType

          public NameInfoWithUpdateStatusType createNameInfoWithUpdateStatusType()

      Create an instance of `NameInfoWithUpdateStatusType`

    - #### createBirthInfoWithUpdateStatusType

          public BirthInfoWithUpdateStatusType createBirthInfoWithUpdateStatusType()

      Create an instance of `BirthInfoWithUpdateStatusType`

    - #### createDeceaseInfoWithUpdateStatusType

          public DeceaseInfoWithUpdateStatusType createDeceaseInfoWithUpdateStatusType()

      Create an instance of `DeceaseInfoWithUpdateStatusType`

    - #### createGenderInfoWithUpdateStatusType

          public GenderInfoWithUpdateStatusType createGenderInfoWithUpdateStatusType()

      Create an instance of `GenderInfoWithUpdateStatusType`

    - #### createCivilStatesWithUpdateStatusType

          public CivilStatesWithUpdateStatusType createCivilStatesWithUpdateStatusType()

      Create an instance of `CivilStatesWithUpdateStatusType`

    - #### createNationalitiesWithUpdateStatusType

          public NationalitiesWithUpdateStatusType createNationalitiesWithUpdateStatusType()

      Create an instance of `NationalitiesWithUpdateStatusType`

    - #### createAddressCbssWithUpdateStatusType

          public AddressCbssWithUpdateStatusType createAddressCbssWithUpdateStatusType()

      Create an instance of `AddressCbssWithUpdateStatusType`

    - #### createContactAddressWithUpdateStatusType

          public ContactAddressWithUpdateStatusType createContactAddressWithUpdateStatusType()

      Create an instance of `ContactAddressWithUpdateStatusType`

    - #### createNameInfoWithStatusAndSourceType

          public NameInfoWithStatusAndSourceType createNameInfoWithStatusAndSourceType()

      Create an instance of `NameInfoWithStatusAndSourceType`

    - #### createBirthInfoWithStatusAndSourceType

          public BirthInfoWithStatusAndSourceType createBirthInfoWithStatusAndSourceType()

      Create an instance of `BirthInfoWithStatusAndSourceType`

    - #### createDeceaseInfoWithStatusAndSourceType

          public DeceaseInfoWithStatusAndSourceType createDeceaseInfoWithStatusAndSourceType()

      Create an instance of `DeceaseInfoWithStatusAndSourceType`

    - #### createGenderInfoWithStatusAndSourceType

          public GenderInfoWithStatusAndSourceType createGenderInfoWithStatusAndSourceType()

      Create an instance of `GenderInfoWithStatusAndSourceType`

    - #### createCivilStatesWithStatusType

          public CivilStatesWithStatusType createCivilStatesWithStatusType()

      Create an instance of `CivilStatesWithStatusType`

    - #### createCivilStateInfoWithSourceType

          public CivilStateInfoWithSourceType createCivilStateInfoWithSourceType()

      Create an instance of `CivilStateInfoWithSourceType`

    - #### createNationalitiesWithStatusType

          public NationalitiesWithStatusType createNationalitiesWithStatusType()

      Create an instance of `NationalitiesWithStatusType`

    - #### createNationalityInfoWithSourceType

          public NationalityInfoWithSourceType createNationalityInfoWithSourceType()

      Create an instance of `NationalityInfoWithSourceType`

    - #### createAddressWithStatusAndSourceType

          public AddressWithStatusAndSourceType createAddressWithStatusAndSourceType()

      Create an instance of `AddressWithStatusAndSourceType`

    - #### createAddressCbssWithStatusAndSourceType

          public AddressCbssWithStatusAndSourceType createAddressCbssWithStatusAndSourceType()

      Create an instance of `AddressCbssWithStatusAndSourceType`

    - #### createContactAddressWithStatusAndSourceType

          public ContactAddressWithStatusAndSourceType createContactAddressWithStatusAndSourceType()

      Create an instance of `ContactAddressWithStatusAndSourceType`

    - #### createAdministratorWithStatusAndSourceType

          public AdministratorWithStatusAndSourceType createAdministratorWithStatusAndSourceType()

      Create an instance of `AdministratorWithStatusAndSourceType`

    - #### createSubregisterWithStatusAndSourceType

          public SubregisterWithStatusAndSourceType createSubregisterWithStatusAndSourceType()

      Create an instance of `SubregisterWithStatusAndSourceType`

    - #### createLegalCohabitationWithStatusAndSourceType

          public LegalCohabitationWithStatusAndSourceType createLegalCohabitationWithStatusAndSourceType()

      Create an instance of `LegalCohabitationWithStatusAndSourceType`

    - #### createNameInfoDeclarationType

          public NameInfoDeclarationType createNameInfoDeclarationType()

      Create an instance of `NameInfoDeclarationType`

    - #### createBirthInfoDeclarationType

          public BirthInfoDeclarationType createBirthInfoDeclarationType()

      Create an instance of `BirthInfoDeclarationType`

    - #### createDeceaseInfoDeclarationType

          public DeceaseInfoDeclarationType createDeceaseInfoDeclarationType()

      Create an instance of `DeceaseInfoDeclarationType`

    - #### createGenderInfoDeclarationType

          public GenderInfoDeclarationType createGenderInfoDeclarationType()

      Create an instance of `GenderInfoDeclarationType`

    - #### createNationalitiesDeclarationType

          public NationalitiesDeclarationType createNationalitiesDeclarationType()

      Create an instance of `NationalitiesDeclarationType`

    - #### createNationalityInfoDeclarationType

          public NationalityInfoDeclarationType createNationalityInfoDeclarationType()

      Create an instance of `NationalityInfoDeclarationType`

    - #### createCivilStatesDeclarationType

          public CivilStatesDeclarationType createCivilStatesDeclarationType()

      Create an instance of `CivilStatesDeclarationType`

    - #### createCivilStateInfoDeclarationType

          public CivilStateInfoDeclarationType createCivilStateInfoDeclarationType()

      Create an instance of `CivilStateInfoDeclarationType`

    - #### createAddressDeclarationType

          public AddressDeclarationType createAddressDeclarationType()

      Create an instance of `AddressDeclarationType`

    - #### createContactAddressDeclarationType

          public ContactAddressDeclarationType createContactAddressDeclarationType()

      Create an instance of `ContactAddressDeclarationType`

    - #### createResidentialAddressType

          public ResidentialAddressType createResidentialAddressType()

      Create an instance of `ResidentialAddressType`

    - #### createPlainAddressType

          public PlainAddressType createPlainAddressType()

      Create an instance of `PlainAddressType`

    - #### createDiplomaticPostType

          public DiplomaticPostType createDiplomaticPostType()

      Create an instance of `DiplomaticPostType`

    - #### createForeignAddressDeclarationType

          public ForeignAddressDeclarationType createForeignAddressDeclarationType()

      Create an instance of `ForeignAddressDeclarationType`

    - #### createResidentialAddressOptionalInceptionDateType

          public ResidentialAddressOptionalInceptionDateType createResidentialAddressOptionalInceptionDateType()

      Create an instance of `ResidentialAddressOptionalInceptionDateType`

    - #### createPlainAddressOptionalInceptionDateType

          public PlainAddressOptionalInceptionDateType createPlainAddressOptionalInceptionDateType()

      Create an instance of `PlainAddressOptionalInceptionDateType`

    - #### createGivenNameType

          public GivenNameType createGivenNameType()

      Create an instance of `GivenNameType`

    - #### createPartnerType

          public PartnerType createPartnerType()

      Create an instance of `PartnerType`

    - #### createLocationType

          public LocationType createLocationType()

      Create an instance of `LocationType`

    - #### createLocationDeclarationType

          public LocationDeclarationType createLocationDeclarationType()

      Create an instance of `LocationDeclarationType`

    - #### createActType

          public ActType createActType()

      Create an instance of `ActType`

    - #### createTranscriptionType

          public TranscriptionType createTranscriptionType()

      Create an instance of `TranscriptionType`

    - #### createJudgmentType

          public JudgmentType createJudgmentType()

      Create an instance of `JudgmentType`

    - #### createSpecialNotionType

          public SpecialNotionType createSpecialNotionType()

      Create an instance of `SpecialNotionType`

    - #### createBestIdentifierType

          public BestIdentifierType createBestIdentifierType()

      Create an instance of `BestIdentifierType`

    - #### createLegalCohabitationRegistrationType

          public LegalCohabitationRegistrationType createLegalCohabitationRegistrationType()

      Create an instance of `LegalCohabitationRegistrationType`

    - #### createRegistrationBailiffType

          public RegistrationBailiffType createRegistrationBailiffType()

      Create an instance of `RegistrationBailiffType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.